|
|||||||||
| Home >> All >> javax >> [ servlet overview ] | PREV NEXT | ||||||||
A
- attributeAdded(ServletContextAttributeEvent) - Method in interface javax.servlet.ServletContextAttributeListener
- Notification that a new attribute was added to the servlet context.
- attributeAdded(ServletRequestAttributeEvent) - Method in interface javax.servlet.ServletRequestAttributeListener
- Notification that a new attribute was added to the servlet request.
- attributeRemoved(ServletContextAttributeEvent) - Method in interface javax.servlet.ServletContextAttributeListener
- Notification that an existing attribute has been removed from the servlet context.
- attributeRemoved(ServletRequestAttributeEvent) - Method in interface javax.servlet.ServletRequestAttributeListener
- Notification that an existing attribute has been removed from the servlet request.
- attributeReplaced(ServletContextAttributeEvent) - Method in interface javax.servlet.ServletContextAttributeListener
- Notification that an attribute on the servlet context has been replaced.
- attributeReplaced(ServletRequestAttributeEvent) - Method in interface javax.servlet.ServletRequestAttributeListener
- Notification that an attribute was replaced on the servlet request.
C
- config - Variable in class javax.servlet.GenericServlet
- contextDestroyed(ServletContextEvent) - Method in interface javax.servlet.ServletContextListener
- Notification that the servlet context is about to be shut down.
- contextInitialized(ServletContextEvent) - Method in interface javax.servlet.ServletContextListener
- Notification that the web application initialization process is starting.
D
- destroy() - Method in interface javax.servlet.Filter
- Called by the web container to indicate to a filter that it is being taken out of service.
- destroy() - Method in class javax.servlet.GenericServlet
- Called by the servlet container to indicate to a servlet that the servlet is being taken out of service.
- destroy() - Method in interface javax.servlet.Servlet
- Called by the servlet container to indicate to a servlet that the servlet is being taken out of service.
- doFilter(ServletRequest, ServletResponse, FilterChain) - Method in interface javax.servlet.Filter
- The
doFiltermethod of the Filter is called by the container each time a request/response pair is passed through the chain due to a client request for a resource at the end of the chain. - doFilter(ServletRequest, ServletResponse) - Method in interface javax.servlet.FilterChain
- Causes the next filter in the chain to be invoked, or if the calling filter is the last filter in the chain, causes the resource at the end of the chain to be invoked.
F
- Filter - interface javax.servlet.Filter.
- A filter is an object that performs filtering tasks on either the request to a resource (a servlet or static content), or on the response from a resource, or both.
- FilterChain - interface javax.servlet.FilterChain.
- A FilterChain is an object provided by the servlet container to the developer giving a view into the invocation chain of a filtered request for a resource.
- FilterConfig - interface javax.servlet.FilterConfig.
- A filter configuration object used by a servlet container to pass information to a filter during initialization.
- flushBuffer() - Method in interface javax.servlet.ServletResponse
- Forces any content in the buffer to be written to the client.
- flushBuffer() - Method in class javax.servlet.ServletResponseWrapper
- The default behavior of this method is to call flushBuffer() on the wrapped response object.
- forward(ServletRequest, ServletResponse) - Method in interface javax.servlet.RequestDispatcher
- Forwards a request from a servlet to another resource (servlet, JSP file, or HTML file) on the server.
G
- GenericServlet - class javax.servlet.GenericServlet.
- Defines a generic, protocol-independent servlet.
- GenericServlet() - Constructor for class javax.servlet.GenericServlet
- Does nothing.
- getAttribute(String) - Method in interface javax.servlet.ServletContext
- Returns the servlet container attribute with the given name,
or
nullif there is no attribute by that name. - getAttribute(String) - Method in interface javax.servlet.ServletRequest
- Returns the value of the named attribute as an
Object, ornullif no attribute of the given name exists. - getAttribute(String) - Method in class javax.servlet.ServletRequestWrapper
- The default behavior of this method is to call getAttribute(String name) on the wrapped request object.
- getAttributeNames() - Method in interface javax.servlet.ServletContext
- Returns an
Enumerationcontaining the attribute names available within this servlet context. - getAttributeNames() - Method in interface javax.servlet.ServletRequest
- Returns an
Enumerationcontaining the names of the attributes available to this request. - getAttributeNames() - Method in class javax.servlet.ServletRequestWrapper
- The default behavior of this method is to return getAttributeNames() on the wrapped request object.
- getBufferSize() - Method in interface javax.servlet.ServletResponse
- Returns the actual buffer size used for the response.
- getBufferSize() - Method in class javax.servlet.ServletResponseWrapper
- The default behavior of this method is to return getBufferSize() on the wrapped response object.
- getCharacterEncoding() - Method in interface javax.servlet.ServletRequest
- Returns the name of the character encoding used in the body of this request.
- getCharacterEncoding() - Method in class javax.servlet.ServletRequestWrapper
- The default behavior of this method is to return getCharacterEncoding() on the wrapped request object.
- getCharacterEncoding() - Method in interface javax.servlet.ServletResponse
- Returns the name of the character encoding (MIME charset) used for the body sent in this response.
- getCharacterEncoding() - Method in class javax.servlet.ServletResponseWrapper
- The default behavior of this method is to return getCharacterEncoding() on the wrapped response object.
- getContentLength() - Method in interface javax.servlet.ServletRequest
- Returns the length, in bytes, of the request body and made available by the input stream, or -1 if the length is not known.
- getContentLength() - Method in class javax.servlet.ServletRequestWrapper
- The default behavior of this method is to return getContentLength() on the wrapped request object.
- getContentType() - Method in interface javax.servlet.ServletRequest
- Returns the MIME type of the body of the request, or
nullif the type is not known. - getContentType() - Method in class javax.servlet.ServletRequestWrapper
- The default behavior of this method is to return getContentType() on the wrapped request object.
- getContentType() - Method in interface javax.servlet.ServletResponse
- Returns the content type used for the MIME body sent in this response.
- getContentType() - Method in class javax.servlet.ServletResponseWrapper
- The default behavior of this method is to return getContentType() on the wrapped response object.
- getContext(String) - Method in interface javax.servlet.ServletContext
- Returns a
ServletContextobject that corresponds to a specified URL on the server. - getFilterName() - Method in interface javax.servlet.FilterConfig
- Returns the filter-name of this filter as defined in the deployment descriptor.
- getInitParameter(String) - Method in interface javax.servlet.FilterConfig
- Returns a
Stringcontaining the value of the named initialization parameter, ornullif the parameter does not exist. - getInitParameter(String) - Method in class javax.servlet.GenericServlet
- Returns a
Stringcontaining the value of the named initialization parameter, ornullif the parameter does not exist. - getInitParameter(String) - Method in interface javax.servlet.ServletConfig
- Returns a
Stringcontaining the value of the named initialization parameter, ornullif the parameter does not exist. - getInitParameter(String) - Method in interface javax.servlet.ServletContext
- Returns a
Stringcontaining the value of the named context-wide initialization parameter, ornullif the parameter does not exist. - getInitParameterNames() - Method in interface javax.servlet.FilterConfig
- Returns the names of the filter's initialization parameters
as an
EnumerationofStringobjects, or an emptyEnumerationif the filter has no initialization parameters. - getInitParameterNames() - Method in class javax.servlet.GenericServlet
- Returns the names of the servlet's initialization parameters
as an
EnumerationofStringobjects, or an emptyEnumerationif the servlet has no initialization parameters. - getInitParameterNames() - Method in interface javax.servlet.ServletConfig
- Returns the names of the servlet's initialization parameters
as an
EnumerationofStringobjects, or an emptyEnumerationif the servlet has no initialization parameters. - getInitParameterNames() - Method in interface javax.servlet.ServletContext
- Returns the names of the context's initialization parameters as an
EnumerationofStringobjects, or an emptyEnumerationif the context has no initialization parameters. - getInputStream() - Method in interface javax.servlet.ServletRequest
- Retrieves the body of the request as binary data using a ServletInputStream.
- getInputStream() - Method in class javax.servlet.ServletRequestWrapper
- The default behavior of this method is to return getInputStream() on the wrapped request object.
- getLocalAddr() - Method in interface javax.servlet.ServletRequest
- Returns the Internet Protocol (IP) address of the interface on which the request was received.
- getLocalAddr() - Method in class javax.servlet.ServletRequestWrapper
- The default behavior of this method is to return getLocalAddr() on the wrapped request object.
- getLocalName() - Method in interface javax.servlet.ServletRequest
- Returns the host name of the Internet Protocol (IP) interface on which the request was received.
- getLocalName() - Method in class javax.servlet.ServletRequestWrapper
- The default behavior of this method is to return getLocalName() on the wrapped request object.
- getLocalPort() - Method in interface javax.servlet.ServletRequest
- Returns the Internet Protocol (IP) port number of the interface on which the request was received.
- getLocalPort() - Method in class javax.servlet.ServletRequestWrapper
- The default behavior of this method is to return getLocalPort() on the wrapped request object.
- getLocale() - Method in interface javax.servlet.ServletRequest
- Returns the preferred
Localethat the client will accept content in, based on the Accept-Language header. - getLocale() - Method in class javax.servlet.ServletRequestWrapper
- The default behavior of this method is to return getLocale() on the wrapped request object.
- getLocale() - Method in interface javax.servlet.ServletResponse
- Returns the locale specified for this response
using the
ServletResponse.setLocale(java.util.Locale)55 method. - getLocale() - Method in class javax.servlet.ServletResponseWrapper
- The default behavior of this method is to return getLocale() on the wrapped response object.
- getLocales() - Method in interface javax.servlet.ServletRequest
- Returns an
EnumerationofLocaleobjects indicating, in decreasing order starting with the preferred locale, the locales that are acceptable to the client based on the Accept-Language header. - getLocales() - Method in class javax.servlet.ServletRequestWrapper
- The default behavior of this method is to return getLocales() on the wrapped request object.
- getMajorVersion() - Method in interface javax.servlet.ServletContext
- Returns the major version of the Java Servlet API that this servlet container supports.
- getMimeType(String) - Method in interface javax.servlet.ServletContext
- Returns the MIME type of the specified file, or
nullif the MIME type is not known. - getMinorVersion() - Method in interface javax.servlet.ServletContext
- Returns the minor version of the Servlet API that this servlet container supports.
- getName() - Method in class javax.servlet.ServletContextAttributeEvent
- Return the name of the attribute that changed on the ServletContext.
- getName() - Method in class javax.servlet.ServletRequestAttributeEvent
- Return the name of the attribute that changed on the ServletRequest.
- getNamedDispatcher(String) - Method in interface javax.servlet.ServletContext
- Returns a RequestDispatcher object that acts as a wrapper for the named servlet.
- getOutputStream() - Method in interface javax.servlet.ServletResponse
- Returns a ServletOutputStream suitable for writing binary data in the response.
- getOutputStream() - Method in class javax.servlet.ServletResponseWrapper
- The default behavior of this method is to return getOutputStream() on the wrapped response object.
- getParameter(String) - Method in interface javax.servlet.ServletRequest
- Returns the value of a request parameter as a
String, ornullif the parameter does not exist. - getParameter(String) - Method in class javax.servlet.ServletRequestWrapper
- The default behavior of this method is to return getParameter(String name) on the wrapped request object.
- getParameterMap() - Method in interface javax.servlet.ServletRequest
- Returns a java.util.Map of the parameters of this request.
- getParameterMap() - Method in class javax.servlet.ServletRequestWrapper
- The default behavior of this method is to return getParameterMap() on the wrapped request object.
- getParameterNames() - Method in interface javax.servlet.ServletRequest
- Returns an
EnumerationofStringobjects containing the names of the parameters contained in this request. - getParameterNames() - Method in class javax.servlet.ServletRequestWrapper
- The default behavior of this method is to return getParameterNames() on the wrapped request object.
- getParameterValues(String) - Method in interface javax.servlet.ServletRequest
- Returns an array of
Stringobjects containing all of the values the given request parameter has, ornullif the parameter does not exist. - getParameterValues(String) - Method in class javax.servlet.ServletRequestWrapper
- The default behavior of this method is to return getParameterValues(String name) on the wrapped request object.
- getProtocol() - Method in interface javax.servlet.ServletRequest
- Returns the name and version of the protocol the request uses in the form protocol/majorVersion.minorVersion, for example, HTTP/1.1.
- getProtocol() - Method in class javax.servlet.ServletRequestWrapper
- The default behavior of this method is to return getProtocol() on the wrapped request object.
- getReader() - Method in interface javax.servlet.ServletRequest
- Retrieves the body of the request as character data using
a
BufferedReader. - getReader() - Method in class javax.servlet.ServletRequestWrapper
- The default behavior of this method is to return getReader() on the wrapped request object.
- getRealPath(String) - Method in interface javax.servlet.ServletContext
- Returns a
Stringcontaining the real path for a given virtual path. - getRealPath(String) - Method in interface javax.servlet.ServletRequest
- Deprecated. As of Version 2.1 of the Java Servlet API,
use
ServletContext.getRealPath(java.lang.String)55 instead. - getRealPath(String) - Method in class javax.servlet.ServletRequestWrapper
- The default behavior of this method is to return getRealPath(String path) on the wrapped request object.
- getRemoteAddr() - Method in interface javax.servlet.ServletRequest
- Returns the Internet Protocol (IP) address of the client or last proxy that sent the request.
- getRemoteAddr() - Method in class javax.servlet.ServletRequestWrapper
- The default behavior of this method is to return getRemoteAddr() on the wrapped request object.
- getRemoteHost() - Method in interface javax.servlet.ServletRequest
- Returns the fully qualified name of the client or the last proxy that sent the request.
- getRemoteHost() - Method in class javax.servlet.ServletRequestWrapper
- The default behavior of this method is to return getRemoteHost() on the wrapped request object.
- getRemotePort() - Method in interface javax.servlet.ServletRequest
- Returns the Internet Protocol (IP) source port of the client or last proxy that sent the request.
- getRemotePort() - Method in class javax.servlet.ServletRequestWrapper
- The default behavior of this method is to return getRemotePort() on the wrapped request object.
- getRequest() - Method in class javax.servlet.ServletRequestWrapper
- Return the wrapped request object.
- getRequestDispatcher(String) - Method in interface javax.servlet.ServletContext
- Returns a RequestDispatcher object that acts as a wrapper for the resource located at the given path.
- getRequestDispatcher(String) - Method in interface javax.servlet.ServletRequest
- Returns a RequestDispatcher object that acts as a wrapper for the resource located at the given path.
- getRequestDispatcher(String) - Method in class javax.servlet.ServletRequestWrapper
- The default behavior of this method is to return getRequestDispatcher(String path) on the wrapped request object.
- getResource(String) - Method in interface javax.servlet.ServletContext
- Returns a URL to the resource that is mapped to a specified path.
- getResourceAsStream(String) - Method in interface javax.servlet.ServletContext
- Returns the resource located at the named path as
an
InputStreamobject. - getResourcePaths(String) - Method in interface javax.servlet.ServletContext
- Returns a directory-like listing of all the paths to resources within the web application whose longest sub-path matches the supplied path argument.
- getResponse() - Method in class javax.servlet.ServletResponseWrapper
- Return the wrapped ServletResponse object.
- getRootCause() - Method in class javax.servlet.ServletException
- Returns the exception that caused this servlet exception.
- getScheme() - Method in interface javax.servlet.ServletRequest
- Returns the name of the scheme used to make this request,
for example,
http,https, orftp. - getScheme() - Method in class javax.servlet.ServletRequestWrapper
- The default behavior of this method is to return getScheme() on the wrapped request object.
- getServerInfo() - Method in interface javax.servlet.ServletContext
- Returns the name and version of the servlet container on which the servlet is running.
- getServerName() - Method in interface javax.servlet.ServletRequest
- Returns the host name of the server to which the request was sent.
- getServerName() - Method in class javax.servlet.ServletRequestWrapper
- The default behavior of this method is to return getServerName() on the wrapped request object.
- getServerPort() - Method in interface javax.servlet.ServletRequest
- Returns the port number to which the request was sent.
- getServerPort() - Method in class javax.servlet.ServletRequestWrapper
- The default behavior of this method is to return getServerPort() on the wrapped request object.
- getServlet(String) - Method in interface javax.servlet.ServletContext
- Deprecated. As of Java Servlet API 2.1, with no direct replacement.
This method was originally defined to retrieve a servlet from a
ServletContext. In this version, this method always returnsnulland remains only to preserve binary compatibility. This method will be permanently removed in a future version of the Java Servlet API.In lieu of this method, servlets can share information using the
ServletContextclass and can perform shared business logic by invoking methods on common non-servlet classes. - getServlet() - Method in class javax.servlet.UnavailableException
- Deprecated. As of Java Servlet API 2.2, with no replacement. Returns the servlet that is reporting its unavailability.
- getServletConfig() - Method in class javax.servlet.GenericServlet
- Returns this servlet's ServletConfig object.
- getServletConfig() - Method in interface javax.servlet.Servlet
- Returns a ServletConfig object, which contains initialization and startup parameters for this servlet.
- getServletContext() - Method in interface javax.servlet.FilterConfig
- Returns a reference to the ServletContext in which the caller is executing.
- getServletContext() - Method in class javax.servlet.GenericServlet
- Returns a reference to the ServletContext in which this servlet is running.
- getServletContext() - Method in interface javax.servlet.ServletConfig
- Returns a reference to the ServletContext in which the caller is executing.
- getServletContext() - Method in class javax.servlet.ServletContextEvent
- Return the ServletContext that changed.
- getServletContext() - Method in class javax.servlet.ServletRequestEvent
- Returns the ServletContext of this web application.
- getServletContextName() - Method in interface javax.servlet.ServletContext
- Returns the name of this web application corresponding to this ServletContext as specified in the deployment descriptor for this web application by the display-name element.
- getServletInfo() - Method in class javax.servlet.GenericServlet
- Returns information about the servlet, such as author, version, and copyright.
- getServletInfo() - Method in interface javax.servlet.Servlet
- Returns information about the servlet, such as author, version, and copyright.
- getServletName() - Method in class javax.servlet.GenericServlet
- Returns the name of this servlet instance.
- getServletName() - Method in interface javax.servlet.ServletConfig
- Returns the name of this servlet instance.
- getServletNames() - Method in interface javax.servlet.ServletContext
- Deprecated. As of Java Servlet API 2.1, with no replacement.
This method was originally defined to return an
Enumerationof all the servlet names known to this context. In this version, this method always returns an emptyEnumerationand remains only to preserve binary compatibility. This method will be permanently removed in a future version of the Java Servlet API. - getServletRequest() - Method in class javax.servlet.ServletRequestEvent
- Returns the ServletRequest that is changing.
- getServlets() - Method in interface javax.servlet.ServletContext
- Deprecated. As of Java Servlet API 2.0, with no replacement.
This method was originally defined to return an
Enumerationof all the servlets known to this servlet context. In this version, this method always returns an empty enumeration and remains only to preserve binary compatibility. This method will be permanently removed in a future version of the Java Servlet API. - getUnavailableSeconds() - Method in class javax.servlet.UnavailableException
- Returns the number of seconds the servlet expects to be temporarily unavailable.
- getValue() - Method in class javax.servlet.ServletContextAttributeEvent
- Returns the value of the attribute that has been added, removed, or replaced.
- getValue() - Method in class javax.servlet.ServletRequestAttributeEvent
- Returns the value of the attribute that has been added, removed or replaced.
- getWriter() - Method in interface javax.servlet.ServletResponse
- Returns a
PrintWriterobject that can send character text to the client. - getWriter() - Method in class javax.servlet.ServletResponseWrapper
- The default behavior of this method is to return getWriter() on the wrapped response object.
I
- include(ServletRequest, ServletResponse) - Method in interface javax.servlet.RequestDispatcher
- Includes the content of a resource (servlet, JSP page, HTML file) in the response.
- init(FilterConfig) - Method in interface javax.servlet.Filter
- Called by the web container to indicate to a filter that it is being placed into service.
- init(ServletConfig) - Method in class javax.servlet.GenericServlet
- Called by the servlet container to indicate to a servlet that the servlet is being placed into service.
- init() - Method in class javax.servlet.GenericServlet
- A convenience method which can be overridden so that there's no need
to call
super.init(config). - init(ServletConfig) - Method in interface javax.servlet.Servlet
- Called by the servlet container to indicate to a servlet that the servlet is being placed into service.
- isCommitted() - Method in interface javax.servlet.ServletResponse
- Returns a boolean indicating if the response has been committed.
- isCommitted() - Method in class javax.servlet.ServletResponseWrapper
- The default behavior of this method is to return isCommitted() on the wrapped response object.
- isPermanent() - Method in class javax.servlet.UnavailableException
- Returns a
booleanindicating whether the servlet is permanently unavailable. - isSecure() - Method in interface javax.servlet.ServletRequest
- Returns a boolean indicating whether this request was made using a secure channel, such as HTTPS.
- isSecure() - Method in class javax.servlet.ServletRequestWrapper
- The default behavior of this method is to return isSecure() on the wrapped request object.
J
- javax.servlet - package javax.servlet
L
- LSTRING_FILE - Static variable in class javax.servlet.ServletOutputStream
- lStrings - Static variable in class javax.servlet.ServletOutputStream
- log(String) - Method in class javax.servlet.GenericServlet
- Writes the specified message to a servlet log file, prepended by the servlet's name.
- log(String, Throwable) - Method in class javax.servlet.GenericServlet
- Writes an explanatory message and a stack trace
for a given
Throwableexception to the servlet log file, prepended by the servlet's name. - log(String) - Method in interface javax.servlet.ServletContext
- Writes the specified message to a servlet log file, usually an event log.
- log(Exception, String) - Method in interface javax.servlet.ServletContext
- Deprecated. As of Java Servlet API 2.1, use
ServletContext.log(String message, Throwable throwable)55 instead.This method was originally defined to write an exception's stack trace and an explanatory error message to the servlet log file.
- log(String, Throwable) - Method in interface javax.servlet.ServletContext
- Writes an explanatory message and a stack trace
for a given
Throwableexception to the servlet log file.
N
- name - Variable in class javax.servlet.ServletContextAttributeEvent
- name - Variable in class javax.servlet.ServletRequestAttributeEvent
P
- permanent - Variable in class javax.servlet.UnavailableException
- print(String) - Method in class javax.servlet.ServletOutputStream
- Writes a
Stringto the client, without a carriage return-line feed (CRLF) character at the end. - print(boolean) - Method in class javax.servlet.ServletOutputStream
- Writes a
booleanvalue to the client, with no carriage return-line feed (CRLF) character at the end. - print(char) - Method in class javax.servlet.ServletOutputStream
- Writes a character to the client, with no carriage return-line feed (CRLF) at the end.
- print(int) - Method in class javax.servlet.ServletOutputStream
- Writes an int to the client, with no carriage return-line feed (CRLF) at the end.
- print(long) - Method in class javax.servlet.ServletOutputStream
- Writes a
longvalue to the client, with no carriage return-line feed (CRLF) at the end. - print(float) - Method in class javax.servlet.ServletOutputStream
- Writes a
floatvalue to the client, with no carriage return-line feed (CRLF) at the end. - print(double) - Method in class javax.servlet.ServletOutputStream
- Writes a
doublevalue to the client, with no carriage return-line feed (CRLF) at the end. - println() - Method in class javax.servlet.ServletOutputStream
- Writes a carriage return-line feed (CRLF) to the client.
- println(String) - Method in class javax.servlet.ServletOutputStream
- Writes a
Stringto the client, followed by a carriage return-line feed (CRLF). - println(boolean) - Method in class javax.servlet.ServletOutputStream
- Writes a
booleanvalue to the client, followed by a carriage return-line feed (CRLF). - println(char) - Method in class javax.servlet.ServletOutputStream
- Writes a character to the client, followed by a carriage return-line feed (CRLF).
- println(int) - Method in class javax.servlet.ServletOutputStream
- Writes an int to the client, followed by a carriage return-line feed (CRLF) character.
- println(long) - Method in class javax.servlet.ServletOutputStream
- Writes a
longvalue to the client, followed by a carriage return-line feed (CRLF). - println(float) - Method in class javax.servlet.ServletOutputStream
- Writes a
floatvalue to the client, followed by a carriage return-line feed (CRLF). - println(double) - Method in class javax.servlet.ServletOutputStream
- Writes a
doublevalue to the client, followed by a carriage return-line feed (CRLF).
R
- RequestDispatcher - interface javax.servlet.RequestDispatcher.
- Defines an object that receives requests from the client and sends them to any resource (such as a servlet, HTML file, or JSP file) on the server.
- readLine(byte[], int, int) - Method in class javax.servlet.ServletInputStream
- Reads the input stream, one line at a time.
- removeAttribute(String) - Method in interface javax.servlet.ServletContext
- Removes the attribute with the given name from the servlet context.
- removeAttribute(String) - Method in interface javax.servlet.ServletRequest
- Removes an attribute from this request.
- removeAttribute(String) - Method in class javax.servlet.ServletRequestWrapper
- The default behavior of this method is to call removeAttribute(String name) on the wrapped request object.
- request - Variable in class javax.servlet.ServletRequestEvent
- request - Variable in class javax.servlet.ServletRequestWrapper
- requestDestroyed(ServletRequestEvent) - Method in interface javax.servlet.ServletRequestListener
- The request is about to go out of scope of the web application.
- requestInitialized(ServletRequestEvent) - Method in interface javax.servlet.ServletRequestListener
- The request is about to come into scope of the web application.
- reset() - Method in interface javax.servlet.ServletResponse
- Clears any data that exists in the buffer as well as the status code and headers.
- reset() - Method in class javax.servlet.ServletResponseWrapper
- The default behavior of this method is to call reset() on the wrapped response object.
- resetBuffer() - Method in interface javax.servlet.ServletResponse
- Clears the content of the underlying buffer in the response without clearing headers or status code.
- resetBuffer() - Method in class javax.servlet.ServletResponseWrapper
- The default behavior of this method is to call resetBuffer() on the wrapped response object.
- response - Variable in class javax.servlet.ServletResponseWrapper
- rootCause - Variable in class javax.servlet.ServletException
S
- Servlet - interface javax.servlet.Servlet.
- Defines methods that all servlets must implement.
- ServletConfig - interface javax.servlet.ServletConfig.
- A servlet configuration object used by a servlet container to pass information to a servlet during initialization.
- ServletContext - interface javax.servlet.ServletContext.
- Defines a set of methods that a servlet uses to communicate with its servlet container, for example, to get the MIME type of a file, dispatch requests, or write to a log file.
- ServletContextAttributeEvent - class javax.servlet.ServletContextAttributeEvent.
- This is the event class for notifications about changes to the attributes of the servlet context of a web application.
- ServletContextAttributeEvent(ServletContext, String, Object) - Constructor for class javax.servlet.ServletContextAttributeEvent
- Construct a ServletContextAttributeEvent from the given context for the given attribute name and attribute value.
- ServletContextAttributeListener - interface javax.servlet.ServletContextAttributeListener.
- Implementations of this interface receive notifications of changes to the attribute list on the servlet context of a web application.
- ServletContextEvent - class javax.servlet.ServletContextEvent.
- This is the event class for notifications about changes to the servlet context of a web application.
- ServletContextEvent(ServletContext) - Constructor for class javax.servlet.ServletContextEvent
- Construct a ServletContextEvent from the given context.
- ServletContextListener - interface javax.servlet.ServletContextListener.
- Implementations of this interface receive notifications about changes to the servlet context of the web application they are part of.
- ServletException - exception javax.servlet.ServletException.
- Defines a general exception a servlet can throw when it encounters difficulty.
- ServletException() - Constructor for class javax.servlet.ServletException
- Constructs a new servlet exception.
- ServletException(String) - Constructor for class javax.servlet.ServletException
- Constructs a new servlet exception with the specified message.
- ServletException(String, Throwable) - Constructor for class javax.servlet.ServletException
- Constructs a new servlet exception when the servlet needs to throw an exception and include a message about the "root cause" exception that interfered with its normal operation, including a description message.
- ServletException(Throwable) - Constructor for class javax.servlet.ServletException
- Constructs a new servlet exception when the servlet needs to throw an exception and include a message about the "root cause" exception that interfered with its normal operation.
- ServletInputStream - class javax.servlet.ServletInputStream.
- Provides an input stream for reading binary data from a client
request, including an efficient
readLinemethod for reading data one line at a time. - ServletInputStream() - Constructor for class javax.servlet.ServletInputStream
- Does nothing, because this is an abstract class.
- ServletOutputStream - class javax.servlet.ServletOutputStream.
- Provides an output stream for sending binary data to the client.
- ServletOutputStream() - Constructor for class javax.servlet.ServletOutputStream
- Does nothing, because this is an abstract class.
- ServletRequest - interface javax.servlet.ServletRequest.
- Defines an object to provide client request information to a servlet.
- ServletRequestAttributeEvent - class javax.servlet.ServletRequestAttributeEvent.
- This is the event class for notifications of changes to the attributes of the servlet request in an application.
- ServletRequestAttributeEvent(ServletContext, ServletRequest, String, Object) - Constructor for class javax.servlet.ServletRequestAttributeEvent
- Construct a ServletRequestAttributeEvent giving the servlet context of this web application, the ServletRequest whose attributes are changing and the name and value of the attribute.
- ServletRequestAttributeListener - interface javax.servlet.ServletRequestAttributeListener.
- A ServletRequestAttributeListener can be implemented by the developer interested in being notified of request attribute changes.
- ServletRequestEvent - class javax.servlet.ServletRequestEvent.
- Events of this kind indicate lifecycle events for a ServletRequest.
- ServletRequestEvent(ServletContext, ServletRequest) - Constructor for class javax.servlet.ServletRequestEvent
- Construct a ServletRequestEvent for the given ServletContext and ServletRequest.
- ServletRequestListener - interface javax.servlet.ServletRequestListener.
- A ServletRequestListener can be implemented by the developer interested in being notified of requests coming in and out of scope in a web component.
- ServletRequestWrapper - class javax.servlet.ServletRequestWrapper.
- Provides a convenient implementation of the ServletRequest interface that can be subclassed by developers wishing to adapt the request to a Servlet.
- ServletRequestWrapper(ServletRequest) - Constructor for class javax.servlet.ServletRequestWrapper
- Creates a ServletRequest adaptor wrapping the given request object.
- ServletResponse - interface javax.servlet.ServletResponse.
- Defines an object to assist a servlet in sending a response to the client.
- ServletResponseWrapper - class javax.servlet.ServletResponseWrapper.
- Provides a convenient implementation of the ServletResponse interface that can be subclassed by developers wishing to adapt the response from a Servlet.
- ServletResponseWrapper(ServletResponse) - Constructor for class javax.servlet.ServletResponseWrapper
- Creates a ServletResponse adaptor wrapping the given response object.
- SingleThreadModel - interface javax.servlet.SingleThreadModel.
- Deprecated. As of Java Servlet API 2.4, with no direct replacement.
- seconds - Variable in class javax.servlet.UnavailableException
- service(ServletRequest, ServletResponse) - Method in class javax.servlet.GenericServlet
- Called by the servlet container to allow the servlet to respond to a request.
- service(ServletRequest, ServletResponse) - Method in interface javax.servlet.Servlet
- Called by the servlet container to allow the servlet to respond to a request.
- servlet - Variable in class javax.servlet.UnavailableException
- setAttribute(String, Object) - Method in interface javax.servlet.ServletContext
- Binds an object to a given attribute name in this servlet context.
- setAttribute(String, Object) - Method in interface javax.servlet.ServletRequest
- Stores an attribute in this request.
- setAttribute(String, Object) - Method in class javax.servlet.ServletRequestWrapper
- The default behavior of this method is to return setAttribute(String name, Object o) on the wrapped request object.
- setBufferSize(int) - Method in interface javax.servlet.ServletResponse
- Sets the preferred buffer size for the body of the response.
- setBufferSize(int) - Method in class javax.servlet.ServletResponseWrapper
- The default behavior of this method is to call setBufferSize(int size) on the wrapped response object.
- setCharacterEncoding(String) - Method in interface javax.servlet.ServletRequest
- Overrides the name of the character encoding used in the body of this request.
- setCharacterEncoding(String) - Method in class javax.servlet.ServletRequestWrapper
- The default behavior of this method is to set the character encoding on the wrapped request object.
- setCharacterEncoding(String) - Method in interface javax.servlet.ServletResponse
- Sets the character encoding (MIME charset) of the response being sent to the client, for example, to UTF-8.
- setCharacterEncoding(String) - Method in class javax.servlet.ServletResponseWrapper
- The default behavior of this method is to call setCharacterEncoding(String charset) on the wrapped response object.
- setContentLength(int) - Method in interface javax.servlet.ServletResponse
- Sets the length of the content body in the response In HTTP servlets, this method sets the HTTP Content-Length header.
- setContentLength(int) - Method in class javax.servlet.ServletResponseWrapper
- The default behavior of this method is to call setContentLength(int len) on the wrapped response object.
- setContentType(String) - Method in interface javax.servlet.ServletResponse
- Sets the content type of the response being sent to the client, if the response has not been committed yet.
- setContentType(String) - Method in class javax.servlet.ServletResponseWrapper
- The default behavior of this method is to call setContentType(String type) on the wrapped response object.
- setLocale(Locale) - Method in interface javax.servlet.ServletResponse
- Sets the locale of the response, if the response has not been committed yet.
- setLocale(Locale) - Method in class javax.servlet.ServletResponseWrapper
- The default behavior of this method is to call setLocale(Locale loc) on the wrapped response object.
- setRequest(ServletRequest) - Method in class javax.servlet.ServletRequestWrapper
- Sets the request object being wrapped.
- setResponse(ServletResponse) - Method in class javax.servlet.ServletResponseWrapper
- Sets the response being wrapped.
U
- UnavailableException - exception javax.servlet.UnavailableException.
- Defines an exception that a servlet or filter throws to indicate that it is permanently or temporarily unavailable.
- UnavailableException(Servlet, String) - Constructor for class javax.servlet.UnavailableException
- Deprecated. As of Java Servlet API 2.2, use
UnavailableException.UnavailableException(String)55 instead. - UnavailableException(int, Servlet, String) - Constructor for class javax.servlet.UnavailableException
- Deprecated. As of Java Servlet API 2.2, use
UnavailableException.UnavailableException(String, int)55 instead. - UnavailableException(String) - Constructor for class javax.servlet.UnavailableException
- Constructs a new exception with a descriptive message indicating that the servlet is permanently unavailable.
- UnavailableException(String, int) - Constructor for class javax.servlet.UnavailableException
- Constructs a new exception with a descriptive message indicating that the servlet is temporarily unavailable and giving an estimate of how long it will be unavailable.
V
- value - Variable in class javax.servlet.ServletContextAttributeEvent
- value - Variable in class javax.servlet.ServletRequestAttributeEvent
A C D F G I J L N P R S U V
|
|||||||||
| Home >> All >> javax >> [ servlet overview ] | PREV NEXT | ||||||||